import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import * as i3 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BaseWidgetComponent } from '@smallstack/widget-core';
import { LetDirective } from '@smallstack/common-components';

class SchedulingRuleDisplayWidgetComponent extends BaseWidgetComponent {
    constructor() {
        super(...arguments);
        this.schedulingRule$ = this.getContextReplacedData$("property");
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: SchedulingRuleDisplayWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.1.7", type: SchedulingRuleDisplayWidgetComponent, isStandalone: true, selector: "smallstack-scheduling-rule-display-widget", usesInheritance: true, ngImport: i0, template: "<table *let=\"schedulingRule$ | async as schedulingRule\">\n  <tr>\n    <td><b>Muster</b></td>\n    <td>{{ schedulingRule.pattern }}</td>\n  </tr>\n</table>\nWIP: {{ schedulingRule$ | async | json }}\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "pipe", type: i3.AsyncPipe, name: "async" }, { kind: "pipe", type: i3.JsonPipe, name: "json" }, { kind: "directive", type: LetDirective, selector: "[let]", inputs: ["let"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: SchedulingRuleDisplayWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-scheduling-rule-display-widget", standalone: true, imports: [CommonModule, LetDirective], changeDetection: ChangeDetectionStrategy.OnPush, template: "<table *let=\"schedulingRule$ | async as schedulingRule\">\n  <tr>\n    <td><b>Muster</b></td>\n    <td>{{ schedulingRule.pattern }}</td>\n  </tr>\n</table>\nWIP: {{ schedulingRule$ | async | json }}\n" }]
        }] });

export { SchedulingRuleDisplayWidgetComponent };
//# sourceMappingURL=smallstack-todo-widgets-scheduling-rule-display-widget.component-0b9058fe.mjs.map
